#ifndef MSP_HTTP_HEADER_H_
#define MSP_HTTP_HEADER_H_

#include <map>
#include <string>
#include <vector>

namespace Msp {
namespace Http {

class Message;

struct Header
{
	struct Value
	{
		std::string value;
		std::map<std::string, std::string> parameters;
	};

	std::string name;
	std::string raw_value;
	std::vector<Value> values;

	Header() { }
	Header(const Message &, const std::string &);
	Header(const std::string &, const std::string &);

	void parse();
};

} // namespace Http
} // namespace Msp

#endif
