#ifndef MSP_NET_UNIX_H_
#define MSP_NET_UNIX_H_

#include "sockaddr.h"

namespace Msp {
namespace Net {

class UnixAddr: public SockAddr
{
private:
	std::string path;
	bool abstract;

public:
	UnixAddr();
	UnixAddr(const SysAddr &);
	UnixAddr(const std::string &, bool = false);

	virtual UnixAddr *copy() const { return new UnixAddr(*this); }

	virtual SysAddr to_sys() const;

	virtual Family get_family() const { return UNIX; }
	virtual std::string str() const;
};

} // namespace Net
} // namespace Msp

#endif
